package com.fs.chat.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 关键字对象 chat_keyword
 *
 * @author fs
 * @date 2024-04-19
 */
public class ChatKeyword extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long keywordId;

    /** 关键字 */
    @Excel(name = "关键字")
    private String keyword;

    /** 类型 */
    @Excel(name = "类型")
    private Integer type;



    /** 匹配内容 */
    @Excel(name = "匹配内容")
    private String content;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private Long companyId;

    public String roles;

    public String getRoles() {
        return roles;
    }

    public void setRoles(String roles) {
        this.roles = roles;
    }

    public void setKeywordId(Long keywordId)
    {
        this.keywordId = keywordId;
    }

    public Long getKeywordId()
    {
        return keywordId;
    }
    public void setKeyword(String keyword)
    {
        this.keyword = keyword;
    }

    public String getKeyword()
    {
        return keyword;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }


}
